{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}
{% block title %}{% endblock %}

{% block content %}

<div class="col-sm-9">
    <div class="mt-3">
        <h2>{{ post.title}}</h2>
        <small> Posted on {{ post.created_at }}</small>
        <hr>
        <p class="text-muted">
            {{ post.text|linebreaks|safe }}
        </p>
        <a href="{% url 'post-list' post.category.slug %}" class="badge badge-info">
            {{ post.category.name|capfirst}}
        </a>
    </div>
    <div class="mt-3" id="comments">
        <h3>Comments</h3>
        {% if message %}
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <p>{{ message }}</p>
            <button type="button" class="close" data-dismiss="alert">
                <span>&times;</span>
            </button>
        </div>
        {% endif %}
        <ul class="list-unstyled">
            {% for comment in comments %}
            <div class="media">
                <img class="mr-3" src="{% static 'img/user.png'">
                <div class="media-body">
                    <h5 class="mt-0 mb-1">{{ comment.author_name }}</h5>
                    <p>
                        <small class="text-muted">{{ comment.created_at }}</small>
                    </p>
                    <p>
                        {% if comment.status == 'moderate' %}
                            <span class="text-muted font-weight-light font-italic">
                            [[ Moderated comment : {{ comment.moderation_text }} ]]
                            </span>
                        {% else %}
                            {{ comment.text }}
                        {% endif %}
                    </p>
                </div>
            </div>
            {% empty %}
            <li class="media">No comments yet !</li>
            {% endfor %}
        </ul>
        <form action="{% url 'post-detail' post.pk %}" method="post" class="form">
            {% csrf_token %}
            {% bootstrap_form comment_form %}
            {% buttons %}
            <button type="submit" class="btn btn-primary">Post Comment</button>
            {% endbuttons %}
        </form>
    </div>
</div>
<div class="col-sm-3 mb-4">
    <h5>Others posts</h5>
    <ul class="list-group">
        {% for post in posts_same_category %}
        <li class="list-group-item"><a href="{% url 'post-detail' post.pk %}">{{ post.title}}</a></li>
        {% empty %}
        This is the only post !
        {% endfor %}
    </ul>
</div>
{% endblock %}